FGR = { 
    description = "Food, Drink, and Alcohol effects"
}
function FGR:new()

    registerForEvent("onInit", function() 


	Alcohol_Duration = 600 --Original 30 (seconds)
	Max_Stacks = 1 --Default 4
	
	Food_Drink_Duration = 600 --Original 450 (seconds)
	
	--Drink
	
	--Duration
	TweakDB:SetFlat("Items.SatedDuration_inline0.value", Food_Drink_Duration)
	
	--Nerf initial stamina regen
	TweakDB:SetFlat("BaseStatusEffect.Sated_inline2.value", 0.15)
	
	--Create effects
	createConstantStatModifier("DrinkStaminaRegen", "AdditiveMultiplier", "BaseStats.StaminaRegenRateMult", 0.3)
	createConstantStatModifier("DrinkStaminaDelay", "Additive", "BaseStats.StaminaRegenStartDelay", -1)
	
	--Create Consume Effects
	CommonDrinkEffects = {"BaseStatusEffect.Sated_inline1", "BaseStatusEffect.Sated_inline2"}
	UncommonDrinkEffects = {"BaseStatusEffect.Sated_inline1", "BaseStatusEffect.Sated_inline2",  "DrinkStaminaDelay"}
	RareDrinkEffects = {"BaseStatusEffect.Sated_inline1", "BaseStatusEffect.Sated_inline2",  "DrinkStaminaDelay", "DrinkStaminaRegen"}
	
	createDrinkConsumableEffectChange("ConsumeDrinkCommon", CommonDrinkEffects, "Increases Stamina by 10% and Stamina regen by 15%.") --TranslateMe (third parameter)
	createDrinkConsumableEffectChange("ConsumeDrinkUncommon", UncommonDrinkEffects, "Increases Stamina by 10%, Stamina regen by 30%, and Stamina starts regenerating 1 second faster.") --TranslateMe
	createDrinkConsumableEffectChange("ConsumeDrinkRare", RareDrinkEffects, "Increases Stamina by 10%, Stamina regen by 30%, and Stamina starts regenerating 1 second faster.") --TranslateMe
	
	
	--Assign effects, description, quality
	Drink_Types = {"LowQuality", "MediumQuality", "GoodQuality", "Nomads"}
	for a,b in ipairs(Drink_Types) do
		quality = ""
		if b == "LowQuality" then
			quality = "Common"
		elseif b == "MediumQuality" then
			quality = "Uncommon"
		elseif b == "GoodQuality" then
			quality = "Rare"
		elseif b == "Nomads" then
			quality = "Rare"
		end
		Effect = "ConsumeDrink"..quality
		for i =1,30 do
			TweakDB:SetFlat("Items."..b.."Drink"..i..".objectActions", {"ItemAction.Drop", Effect})
			TweakDB:SetFlat("Items."..b.."Drink"..i..".quality", "Quality."..quality)
			TweakDB:SetFlat("Items."..b.."Drink"..i..".OnEquip", {Effect.."DescriptionHolder"})

		end
	end
	
	
	--Food
	
	--Duration
	TweakDB:SetFlat("Items.WellFedDuration_inline0.value", Food_Drink_Duration)
	
	--Create effects
	createConstantStatModifier("FoodHPRegen", "AdditiveMultiplier", "BaseStats.HealthInCombatRegenRate", 0.2)
	createConstantStatModifier("FoodHealthIncrease", "AdditiveMultiplier", "BaseStats.Health", .05) --Might need to be more effective

	CommonFoodEffects = {"BaseStatusEffect.WellFed_inline1", "BaseStatusEffect.WellFed_inline2", "BaseStatusEffect.WellFed_inline3"}
	UncommonFoodEffects = {"BaseStatusEffect.WellFed_inline1", "BaseStatusEffect.WellFed_inline2", "BaseStatusEffect.WellFed_inline3", "FoodHPRegen"}
	RareFoodEffects = {"BaseStatusEffect.WellFed_inline1", "BaseStatusEffect.WellFed_inline2", "BaseStatusEffect.WellFed_inline3", "FoodHPRegen", "FoodHealthIncrease"}
	
	createFoodConsumableEffectChange("ConsumeFoodCommon", CommonFoodEffects, "Increases health by 5%, and out of combat health regen by 0.5% per second.") --TranslateMe
	createFoodConsumableEffectChange("ConsumeFoodUncommon", UncommonFoodEffects, "Increases health by 5%, out of combat health regen by 0.5% per second, and in combat health regen by 20%.") --TranslateMe
	createFoodConsumableEffectChange("ConsumeFoodRare", RareFoodEffects, "Increases health by 10%, out of combat health regen by 0.5% per second, and in combat health regen by 20%.") --TranslateMe

	--Assign effects, description, quality
	Food_Types = {"LowQuality", "MediumQuality", "GoodQuality", "Nomads"}
	for a,b in ipairs(Food_Types) do
		quality = ""
		if b == "LowQuality" then
			quality = "Common"
		elseif b == "MediumQuality" then
			quality = "Uncommon"
		elseif b == "GoodQuality" then
			quality = "Rare"
		elseif b == "Nomads" then
			quality = "Rare"
		end
		Effect = "ConsumeFood"..quality
		for i =1,30 do
			TweakDB:SetFlat("Items."..b.."Food"..i..".objectActions", {"ItemAction.Drop", Effect})
			TweakDB:SetFlat("Items."..b.."Food"..i..".quality", "Quality."..quality)
			TweakDB:SetFlat("Items."..b.."Food"..i..".OnEquip", {Effect.."DescriptionHolder"})

		end
	end
	
	
	--Alcohol
	
	--Drunkenness nerf
	TweakDB:SetFlat("BaseStatusEffect.Drunk_inline6.value", 1)
	TweakDB:SetFlat("BaseStatusEffect.Drunk_inline7.value", 1)
	TweakDB:SetFlat("BaseStatusEffect.Drunk_inline10.value", 0.25)
	TweakDB:SetFlat("BaseStatusEffect.Drunk_inline9.value", 0.25)
	--Recoil Reduction
	createConstantStatModifier("RecoilAngleReduction", "Multiplier", "BaseStats.RecoilAngle", 0.75)
	createConstantStatModifier("RecoilDriftRandomRangeMin", "Multiplier", "BaseStats.RecoilDriftRandomRangeMin", 0.75)
	createConstantStatModifier("RecoilDriftRandomRangeMax", "Multiplier", "BaseStats.RecoilDriftRandomRangeMax", 0.75)
	createConstantStatModifier("RecoilKickMinReduction", "Multiplier", "BaseStats.RecoilKickMin", 0.75)
	createConstantStatModifier("RecoilKickMaxReduction", "Multiplier", "BaseStats.RecoilKickMax", 0.75)
	createConstantStatModifier("RecoilRecoveryTimeReduction", "Multiplier", "BaseStats.RecoilRecoveryTime", 0.75)
	
	--Sway Reduction
	createConstantStatModifier("SwaySideMinimumAngleDistanceReduction1", "Multiplier", "BaseStats.SwaySideMinimumAngleDistance", 0.25)
	createConstantStatModifier("SwaySideMaximumAngleDistanceReduction1", "Additive", "BaseStats.SwaySideMaximumAngleDistance", 0)
	createConstantStatModifier("SwaySideMinimumAngleDistanceReduction2", "Additive", "BaseStats.SwaySideMinimumAngleDistance", 0)
	createConstantStatModifier("SwayTraversalTimeReduction", "Multiplier", "BaseStats.SwayTraversalTime", 6)
	createConstantStatModifier("RecoilAllowSwayReduction", "Additive", "BaseStats.RecoilAllowSway", -1)
	createConstantStatModifier("SwaySideMaximumAngleDistanceReduction2", "Multiplier", "BaseStats.SwaySideMaximumAngleDistance", 0.25)

	--Nullify rest of effects
	createConstantStatModifier("ReloadTimeReduction", "Multiplier", "BaseStats.ReloadTime", .91)
	createConstantStatModifier("AimInTimeReduction", "Multiplier", "BaseStats.AimInTime", .83)
	createConstantStatModifier("AimOutTimeReduction", "Multiplier", "BaseStats.AimOutTime", .83)
	createConstantStatModifier("SpreadAdsMaxXReduction1", "Multiplier", "BaseStats.SpreadAdsMaxX", .87)
	createConstantStatModifier("SpreadAdsMaxYReduction1", "Multiplier", "BaseStats.SpreadAdsMaxY", .87)
	createConstantStatModifier("SpreadAdsMaxXReduction2", "Multiplier", "BaseStats.SpreadAdsMaxX", .87)
	createConstantStatModifier("SpreadAdsMaxYReduction2", "Multiplier", "BaseStats.SpreadAdsMaxY", .87)
	createConstantStatModifier("SpreadChangePerShotReduction", "Multiplier", "BaseStats.SpreadChangePerShot", .77)
	createConstantStatModifier("SpreadAdsChangePerShotReduction", "Multiplier", "BaseStats.SpreadAdsChangePerShot", .77)

	RareAlcoholEffects = {"RecoilAngleReduction", "RecoilDriftRandomRangeMin", "RecoilDriftRandomRangeMin", "RecoilKickMinReduction", "RecoilKickMaxReduction", "RecoilRecoveryTimeReduction"}
	EpicAlcoholEffects = {"RecoilAngleReduction", "RecoilDriftRandomRangeMin", "RecoilDriftRandomRangeMin", "RecoilKickMinReduction", "RecoilKickMaxReduction", "RecoilRecoveryTimeReduction",
							"SwaySideMinimumAngleDistanceReduction1", "SwaySideMaximumAngleDistanceReduction1", "SwaySideMinimumAngleDistanceReduction2", "SwayTraversalTimeReduction", "RecoilAllowSwayReduction", "SwaySideMaximumAngleDistanceReduction2"}
	LegendaryAlcoholEffects = {"RecoilAngleReduction", "RecoilDriftRandomRangeMin", "RecoilDriftRandomRangeMin", "RecoilKickMinReduction", "RecoilKickMaxReduction", "RecoilRecoveryTimeReduction",
							"SwaySideMinimumAngleDistanceReduction1", "SwaySideMaximumAngleDistanceReduction1", "SwaySideMinimumAngleDistanceReduction2", "SwayTraversalTimeReduction", "RecoilAllowSwayReduction", "SwaySideMaximumAngleDistanceReduction2",
							"ReloadTimeReduction", "AimInTimeReduction", "AimOutTimeReduction", "SpreadAdsMaxXReduction1", "SpreadAdsMaxYReduction1", "SpreadAdsMaxXReduction2", "SpreadAdsMaxYReduction2", "SpreadChangePerShotReduction", "SpreadAdsChangePerShotReduction"}


	createAlcoholConsumableEffectChange("AlcoholConsumeUncommon", RareAlcoholEffects, "Decreases recoil and sway, but with moderate side effects.") --TranslateMe
	createAlcoholConsumableEffectChange("AlcoholConsumeRare", EpicAlcoholEffects, "Decreases recoil and sway, but with minor side effects.") --TranslateMe
	createAlcoholConsumableEffectChange("AlcoholConsumeEpic", LegendaryAlcoholEffects, "Decreases recoil and sway with little to no side effects.") --TranslateMe

	--Change duration
	TweakDB:SetFlat("Items.AlcoholConsumableDuration_inline0.value", Alcohol_Duration)
	
	--Set max stacks
	TweakDB:SetFlat("BaseStatusEffect.AlcoholDebuff_inline1.value", Max_Stacks)
	TweakDB:SetFlat("BaseStatusEffect.Drunk_inline1.value", Max_Stacks)
	
	--Assign effects to alcohol (by quality)
	Alcohol_Types = {"LowQuality", "MediumQuality", "GoodQuality", "TopQuality", "Nomads"}
	for a,b in ipairs(Alcohol_Types) do
		quality = ""
		if b == "LowQuality" then
			quality = "Uncommon"
		elseif b == "MediumQuality" then
			quality = "Uncommon"
		elseif b == "GoodQuality" then
			quality = "Rare"
		elseif b == "TopQuality" then
			quality = "Epic"
		elseif b == "Nomads" then
			quality = "Rare"
		end
		Effect = "AlcoholConsume"..quality
		for i =1,15 do
			TweakDB:SetFlat("Items."..b.."Alcohol"..i..".objectActions", {"ItemAction.Drop", Effect})
			TweakDB:SetFlat("Items."..b.."Alcohol"..i..".quality", "Quality."..quality)
			TweakDB:SetFlat("Items."..b.."Alcohol"..i..".OnEquip", {Effect.."DescriptionHolder"})

		end
	end
	
	--Create Jackie Welles (Relies on some shit above)
	
	--Item
	TweakDB:CloneRecord("JackieTequila", "Items.TopQualityAlcohol1")
	TweakDB:SetFlat("JackieTequila.iconPath", "sq018_jackies_bottle")
	rec3 = TweakDB:GetFlat("Character.Jackie.fullDisplayName")
	TweakDB:SetFlat("JackieTequila.displayName", rec3)
	rec3 = TweakDB:GetFlat("Items.sq018_jackies_bottle.localizedDescription")
	TweakDB:SetFlat("JackieTequila.localizedDescription", rec3)
	createConstantStatModifier("JackieTequilaQuantity", "Additive", "BaseStats.Quantity", 9999)
	TweakDB:SetFlat("JackieTequila.statModifiers", {"JackieTequilaQuantity", "Items.Alcohol_inline0"})
	
	--Crafting Data
	TweakDB:CloneRecord("JackieTequilaCraftingData", "Items.FirstAidWhiffV2_inline0")
	TweakDB:CloneRecord("JackieTequilaCraftingDataItem1", "Items.FirstAidWhiffV2_inline1")
	TweakDB:SetFlat("JackieTequilaCraftingDataItem1.amount", 10)
	TweakDB:CloneRecord("JackieTequilaCraftingDataItem2", "Items.FirstAidWhiffV2_inline2")
	TweakDB:SetFlat("JackieTequilaCraftingDataItem2.amount", 6)
	TweakDB:CloneRecord("JackieTequilaCraftingDataItem3", "Items.FirstAidWhiffV2_inline3")
	TweakDB:SetFlat("JackieTequilaCraftingDataItem3.amount", 4)
	TweakDB:SetFlat("JackieTequilaCraftingData.craftingRecipe", {"JackieTequilaCraftingDataItem1", "JackieTequilaCraftingDataItem2", "JackieTequilaCraftingDataItem3"})
	TweakDB:SetFlat("JackieTequila.CraftingData", "JackieTequilaCraftingData")
	
end)

function createConstantStatModifier(recordName, modifierType, statType, value)
	TweakDB:CreateRecord(recordName, "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(recordName..".modifierType", modifierType)
	TweakDB:SetFlat(recordName..".statType", statType)
	TweakDB:SetFlat(recordName..".value", value)
end

function createDrinkConsumableEffectChange(recordName, statsList, Description)

	--Create Effect
	TweakDB:CloneRecord(recordName, "Items.Drink_inline4")
	TweakDB:CloneRecord(recordName.."ObjectEffect", "Items.Drink_inline5")
	TweakDB:CloneRecord(recordName.."StatusEffect", "BaseStatusEffect.Sated")
	TweakDB:CloneRecord(recordName.."StatusEffectHolder", "BaseStatusEffect.Sated_inline0")

	TweakDB:SetFlat(recordName.."StatusEffectHolder.stats", statsList)
	TweakDB:SetFlat(recordName.."StatusEffect.packages", {recordName.."StatusEffectHolder"})
	TweakDB:SetFlat(recordName.."ObjectEffect.statusEffect", recordName.."StatusEffect")
	TweakDB:SetFlat(recordName..".completionEffects", {recordName.."ObjectEffect"})

	--Create Description
	TweakDB:CloneRecord(recordName.."DescriptionHolder", "Items.Alcohol_inline1")
	TweakDB:CloneRecord(recordName.."Description", "Items.Alcohol_inline2")
	TweakDB:SetFlat(recordName.."Description.localizedDescription", Description)
	TweakDB:SetFlat(recordName.."DescriptionHolder.UIData", recordName.."Description")


end

function createAlcoholConsumableEffectChange(recordName, statsList, Description)

	--Create Effect
	TweakDB:CloneRecord(recordName, "Items.Alcohol_inline5")
	TweakDB:CloneRecord(recordName.."ObjectEffect", "Items.Alcohol_inline7")
	TweakDB:CloneRecord(recordName.."StatusEffect", "BaseStatusEffect.AlcoholDebuff")
	TweakDB:SetFlat(recordName.."StatusEffect.gameplayTags", {"Debuff", "Buff"})
	TweakDB:CloneRecord(recordName.."StatusEffectHolder", "BaseStatusEffect.AlcoholDebuff_inline2")

	TweakDB:SetFlat(recordName.."StatusEffectHolder.stats", statsList)
	TweakDB:SetFlat(recordName.."StatusEffect.packages", {recordName.."StatusEffectHolder"})
	TweakDB:SetFlat(recordName.."ObjectEffect.statusEffect", recordName.."StatusEffect")
	TweakDB:SetFlat(recordName..".completionEffects", {"Items.Alcohol_inline6", recordName.."ObjectEffect"})

	--Create Description
	TweakDB:CloneRecord(recordName.."DescriptionHolder", "Items.Alcohol_inline1")
	TweakDB:CloneRecord(recordName.."Description", "Items.Alcohol_inline2")
	TweakDB:SetFlat(recordName.."Description.localizedDescription", Description)
	TweakDB:SetFlat(recordName.."DescriptionHolder.UIData", recordName.."Description")


end

function createFoodConsumableEffectChange(recordName, statsList, Description)

	--Create Effect
	TweakDB:CloneRecord(recordName, "Items.Food_inline0")
	TweakDB:CloneRecord(recordName.."ObjectEffect", "Items.Food_inline1")
	TweakDB:CloneRecord(recordName.."StatusEffect", "BaseStatusEffect.WellFed")
	TweakDB:CloneRecord(recordName.."StatusEffectHolder", "BaseStatusEffect.WellFed_inline0")

	TweakDB:SetFlat(recordName.."StatusEffectHolder.stats", statsList)
	TweakDB:SetFlat(recordName.."StatusEffect.packages", {recordName.."StatusEffectHolder"})
	TweakDB:SetFlat(recordName.."ObjectEffect.statusEffect", recordName.."StatusEffect")
	TweakDB:SetFlat(recordName..".completionEffects", {recordName.."ObjectEffect"})

	--Create Description
	TweakDB:CloneRecord(recordName.."DescriptionHolder", "Items.Alcohol_inline1")
	TweakDB:CloneRecord(recordName.."Description", "Items.Alcohol_inline2")
	TweakDB:SetFlat(recordName.."Description.localizedDescription", Description)
	TweakDB:SetFlat(recordName.."DescriptionHolder.UIData", recordName.."Description")


end

end

return FGR:new()
