FGR = { 
    description = "Allows for customization of the player"
}

function FGR:new()

	
    registerForEvent("onInit", function() 
	
	Player_Sprint_Multiplier = 1.35	--Default is 1 IMPORTANT as of 1.3, movement speed is capped somewhere.
	Player_Run_Multiplier = 1 --Default 1
	
	Enable_Pre_Patch_Charge_Jump = true --Reverts the changes made to the charge jumping. Need to close and reopen game to set to false.
	Jump_Height = 1 --Default 1
	Double_Jump_Height = 1 --Default 1
	Charge_Jump_Height = 1.5 --Default 1, but maybe not in 1.3?
	Hover_Jump_Height = 1 --Default 1
	
	Player_Carry_Capacity = 200 --Default 200
	Player_Crit_Damage = 50 --Default 100
	Player_Crit_Chance = 20 --Default 1
	Player_Sneak_Factor = 1.0 --Default 1 Set this lower, but still bigger than 0, to reduce rate at which you are detected, higher to increase detection
	Player_Movement_Noise = 2 --Default 1
	Player_Loudness = 1 --Default 1 Gunshots, explosions, etc.
	
	Player_Reload_Time = 1.0 --Multiplier. Looks like the fixed the bug though.
	Player_Health_Bonus = 0
	Player_Stamina_Bonus = 50

	
	
	
	
	TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_Sprint_inline1.value", 6.5 * Player_Sprint_Multiplier)
	TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_Stand_inline1.value", 3.5 * Player_Run_Multiplier)
	TweakDB:SetFlat("Character.Player_Primary_Stats_Base_inline9.value", Player_Crit_Chance) --Crit chance
	TweakDB:SetFlat("Character.Player_Primary_Stats_Base_inline62.value", Player_Loudness) --Loudness 
	TweakDB:SetFlat("Character.Player_Primary_Stats_Base_inline64.value", Player_Movement_Noise) --V movement noise
	TweakDB:SetFlat("Character.Player_Primary_Stats_Base_inline5.value", Player_Sneak_Factor) --Visibility
	TweakDB:SetFlat("Character.Player_Primary_Stats_Base_inline10.value", Player_Crit_Damage) --Crit dmg
	TweakDB:SetFlat("Character.Player_Primary_Stats_Base_inline8.value", Player_Carry_Capacity) --Carry capacity
	
	TweakDB:SetFlat("PlayerLocomotion.JumpJumpHeightModifier.value", 1 * Jump_Height)
	TweakDB:SetFlat("PlayerLocomotion.DoubleJumpJumpHeightModifier.value", 2.6 * Double_Jump_Height)
	TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_ChargeJumpHigh_inline7.value", 3 * Charge_Jump_Height)
	TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_HoverJump_inline6.value", 2 * Hover_Jump_Height)
	
	Player_Stats = {}
	createConstantStatModifier("ReloadSpeedHotfix", "Multiplier", "BaseStats.ReloadTime", Player_Reload_Time)
	createConstantStatModifier("ReloadEmptySpeedHotfix", "Multiplier", "BaseStats.EmptyReloadTime", Player_Reload_Time)
	createConstantStatModifier("PlayerHealthBonus", "Additive", "BaseStats.Health", Player_Health_Bonus)
	createConstantStatModifier("PlayerStaminaBonus", "Additive", "BaseStats.Stamina", Player_Stamina_Bonus)

	for i =0, 68 do
		table.insert(Player_Stats, "Character.Player_Primary_Stats_Base_inline"..i)
	end
	table.insert(Player_Stats, "ReloadSpeedHotfix")
	table.insert(Player_Stats, "ReloadEmptySpeedHotfix")
	table.insert(Player_Stats, "PlayerHealthBonus")
	table.insert(Player_Stats, "PlayerStaminaBonus")

	TweakDB:SetFlat("Character.Player_Primary_Stats_Base.statModifiers", Player_Stats)
	
	if Enable_Pre_Patch_Charge_Jump then
		TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_ChargeJumpHigh_inline1.value", 6 * Player_Sprint_Multiplier)
		TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_ChargeJumpHigh_inline2.value", 15)
		TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_ChargeJumpHigh_inline3.value", 0)
		TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_ChargeJumpHigh_inline4.value", 0)
		TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_ChargeJumpHigh_inline5.value", 0)
		TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_ChargeJumpHigh_inline6.value", 0)
		TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_ChargeJumpHigh_inline8.value", 0)
		TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_ChargeJumpHigh_inline9.value", 0)
	end
	
    end)

function createConstantStatModifier(recordName, modifierType, statType, value)
	TweakDB:CreateRecord(recordName, "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(recordName..".modifierType", modifierType)
	TweakDB:SetFlat(recordName..".statType", statType)
	TweakDB:SetFlat(recordName..".value", value)
end
end

return FGR:new()
