FGR = { 
    description = "Vendors and Pricing"
}

function FGR:new()

	
    registerForEvent("onInit", function() 
	
	--Default is 1.0 for everything here
	
	Buy_Multiplier = 1.0
	Sell_Multiplier = 1.0

	Vehicle_Price = 0.2 --Changes won't show on journal, but will when you go to buy car
	Cyberware_Multiplier = 0.5
	Recipe_Multiplier = 1.0
	Injector_Multiplier = 2
	Inhaler_Multiplier = 2

	Cyberdeck_Multiplier = 1.0
	Berserk_Multiplier = 1.0
	Sandevistan_Multiplier = 1.0
	
	Head_Multiplier = 1.2
	Face_Multiplier = 1.4
	Outer_Chest_Multiplier = 1
	Inner_Chest_Multiplier = 1.4
	Leg_Multiplier = 1.4
	Feet_Multiplier = 1.1

	OS_Fragment_Multiplier = 3.0
	Optics_Fragment_Multiplier = .15
	Optics_Multiplier = 5.0
	Weapon_Mod_Multiplier = 1
	Strong_Armor_Mod_Multiplier = 1
	Armor_Mod_Multiplier = 5
	Leg_Cyberware_Multiplier = 0.66
	Second_Heart_Multiplier = 2.0 --To account for cyberware cost decrease
	Weapon_Sell_Multiplier = 0.5
	Bionic_Joints_Multiplier = 2
	Valuable_Junk_Price = .1333333
	Drop_Point_Money = 100000 --Default 20000
	Ammo_Price = 1 --Default 2
	
	

	--Remove power level mult from price
	TweakDB:SetFlat("Price.PowerLevelMultiplier.statType", "0000000000")
	
	--Constant quality randomiztion
	TweakDB:SetFlat("Quality.Random_inline0.max", 2.2)
	TweakDB:SetFlat("Items.QualityRandomization_inline1.statType", "000000000")
	
	--Vendor chances. No idea why it needs to be in here to work, but it does.
	createVendorChance("Vendor20Prob", -3)
	createVendorChance("Vendor25Prob", -2)
	createVendorChance("Vendor33Prob", -1)
	createVendorChance("Vendor50Prob", 0)
	
	--General modifiers
	TweakDB:SetFlat("Price.BuyMultiplier.value", Buy_Multiplier)
	TweakDB:SetFlat("Price.SellMultiplier.value", Sell_Multiplier * .1)

	--Ammo price
	TweakDB:SetFlat("Price.Ammo.value", 2 * Ammo_Price)
	
	--Clothing modifiers
	TweakDB:SetFlat("Price.HeadClothing.value", 1 * Head_Multiplier)	
	TweakDB:SetFlat("Price.FaceClothing.value", 0.8 * Face_Multiplier)	
	TweakDB:SetFlat("Price.OuterChestClothing.value", 1.4 * Outer_Chest_Multiplier)	
	TweakDB:SetFlat("Price.InnerChestClothing.value", 0.8 * Inner_Chest_Multiplier)		
	TweakDB:SetFlat("Price.LegClothing.value", 0.8 * Leg_Multiplier)	
	TweakDB:SetFlat("Price.FeetClothing.value", 1.2 * Feet_Multiplier)

	--Valuable Junk
	TweakDB:SetFlat("Price.Jewellery.value", 250 * Valuable_Junk_Price)
	
	--Sensory Amplifier cost increase
	TweakDB:CloneRecord("Price.SensoryAmplifier", "Price.LauncherFragment")
	TweakDB:SetFlat("Price.SensoryAmplifier.value", 600)
	
	Sensory_Amplfier_Buy_List = {"Price.BasePrice", "Price.BuyMultiplier", "Price.WeightMultiplier", "Price.ItemQualityMultiplier", "Price.SensoryAmplifier"}
	Sensory_Amplfier_Sell_List = {"Price.BasePrice", "Price.SellMultiplier", "Price.WeightMultiplier", "Price.ItemQualitySellMultiplier", "Price.SensoryAmplifier", "Price.CraftingTraitMultiplier"}

	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment1.buyPrice", Sensory_Amplfier_Buy_List)
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment2.buyPrice", Sensory_Amplfier_Buy_List)
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment3.buyPrice", Sensory_Amplfier_Buy_List)
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment4.buyPrice", Sensory_Amplfier_Buy_List)

	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment1.sellPrice", Sensory_Amplfier_Sell_List)
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment2.sellPrice", Sensory_Amplfier_Sell_List)
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment3.sellPrice", Sensory_Amplfier_Sell_List)
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment4.sellPrice", Sensory_Amplfier_Sell_List)
	
	--Berserk and Sandevistan fragments
	TweakDB:SetFlat("Price.SandevistanFragment.value", 150 * OS_Fragment_Multiplier)
	TweakDB:SetFlat("Price.BerserkFragment.value", 150 * OS_Fragment_Multiplier)

	--Inhalers and Injectors
	TweakDB:SetFlat("Price.Injector.value", 30 * Injector_Multiplier)
	TweakDB:SetFlat("Price.Inhaler.value", 30 * Inhaler_Multiplier)

	--Berserk
	TweakDB:SetFlat("Price.Berserk.value", 5 * Berserk_Multiplier)
	
	--Sandevistan
	TweakDB:SetFlat("Price.Sandevistan.value", 5 * Sandevistan_Multiplier)
	
	--Second Heart
	TweakDB:SetFlat("Price.SecondHeart.value", 6*Second_Heart_Multiplier)
	
	--Optics fragments
	TweakDB:SetFlat("Price.OpticsFragment.value", 2600 * Optics_Fragment_Multiplier)
	
	--Leg Cyberware
	TweakDB:SetFlat("Price.CatPaws.value", 17 * Leg_Cyberware_Multiplier)
	TweakDB:SetFlat("Price.ReinforcedMuscles.value", 15 * Leg_Cyberware_Multiplier)
	TweakDB:SetFlat("Price.BoostedTendons.value", 15 * Leg_Cyberware_Multiplier)
	
	--Recipe
	TweakDB:SetFlat("Price.Recipe.value", 10 * Recipe_Multiplier)
	
	--Kiroshi Optics
	Optics_Buy_Price = {"Price.BasePrice", "Price.BuyMultiplier", "Price.Cyberware", "Price.CyberwareQualityMultiplier", "Price.IconicMultiplier"}
	Optics_Sell_Price = {"Price.BasePrice", "Price.SellMultiplier", "Price.Cyberware", "Price.CyberwareQualityMultiplier", "Price.IconicMultiplier"}
	createConstantStatModifier("KiroshiOpticsPrice", "Multiplier", "BaseStats.Price", 5)
	table.insert(Optics_Buy_Price, "KiroshiOpticsPrice")
	table.insert(Optics_Sell_Price, "KiroshiOpticsPrice")

	TweakDB:SetFlat("Items.KiroshiOptics.buyPrice", Optics_Buy_Price)
	TweakDB:SetFlat("Items.KiroshiOptics.sellPrice", Optics_Sell_Price)
	TweakDB:SetFlat("Items.KiroshiOpticsRare.buyPrice", Optics_Buy_Price)
	TweakDB:SetFlat("Items.KiroshiOpticsRare.sellPrice", Optics_Sell_Price)
	TweakDB:SetFlat("Items.KiroshiOpticsEpic.buyPrice", Optics_Buy_Price)
	TweakDB:SetFlat("Items.KiroshiOpticsEpic.sellPrice", Optics_Sell_Price)
	
	--Arm Cyberware
	TweakDB:SetFlat("Vendors.MidEndGameCredAvailability.valueToCheck", 10) --Original 20
	
	--Downtown Vendor
	TweakDB:SetFlat("Vendors.cct_dtn_guns_01_inline1.availabilityPrereq", "Vendors.DowntownCredAvailability")
	TweakDB:SetFlat("Vendors.cct_dtn_guns_01_inline0.availabilityPrereq", "Vendors.DowntownCredAvailability")
	
	--Hand Cyberware
	TweakDB:CloneRecord("HandCyberwareCred", "Vendors.DowntownCredAvailability")
	TweakDB:SetFlat("HandCyberwareCred.valueToCheck", 35) --Original 0
	
	TweakDB:SetFlat("Vendors.wat_kab_ripperdoc_01_inline0.availabilityPrereq", "HandCyberwareCred")
	TweakDB:SetFlat("Vendors.wat_lch_ripperdoc_01_inline17.availabilityPrereq", "HandCyberwareCred")
	
	--Kiroshi SC req
	TweakDB:SetFlat("Vendors.wat_lch_ripperdoc_01_inline15.availabilityPrereq", "SCReq28")

	--Subdermal Armor SC req
	TweakDB:SetFlat("Vendors.wat_kab_ripperdoc_03_inline0.availabilityPrereq", "SCReq37")
	
	--Shock N awe
	TweakDB:SetFlat("Price.ElectroshockMechanism.value", 3) --Default 1
	
	--Syn Lungs
	TweakDB:SetFlat("Price.IronLungs.value", 3) --Default 1
	
	--Weapon mods
	TweakDB:SetFlat("Price.WeaponMod.value", 250 * Weapon_Mod_Multiplier)
	
	--Armor mods
	TweakDB:SetFlat("Price.FabricEnhancer.value", 30 * Armor_Mod_Multiplier)
	TweakDB:SetFlat("Price.PowerfulFabricEnhancer", 1.5 * Strong_Armor_Mod_Multiplier)
	
	--Weapon Sell
	TweakDB:SetFlat("Price.WeaponSellMultiplier.value", .31 * Weapon_Sell_Multiplier)
	
	--Cyberware Multiplier
	TweakDB:SetFlat("Price.Cyberware.value", 1000 * Cyberware_Multiplier)
	
	--VENDORS
	
	--Add more uncommon and common materials
	TweakDB:SetFlat("Vendors.CommonMaterialVendorStock_inline0.max", 800)
	TweakDB:SetFlat("Vendors.CommonMaterialVendorStock_inline0.min", 500)
	TweakDB:SetFlat("Vendors.UncommonMaterialVendorStock_inline0.min", 300)
	TweakDB:SetFlat("Vendors.UncommonMaterialVendorStock_inline0.max", 600)
	
	--Increase drop point money
	TweakDB:SetFlat("Vendors.DropPoint_inline1.value", Drop_Point_Money)


	--Vendor Dispersion (Add sc reqs to fucking shit?)
	
	--Remove armor mods from existing lists

	--Rebuild Vendor lists to remove armor mods, also records with no names
	
	--Set up
	
	--Create SC reqs
	for i=1,50 do
		createSCRequirement(i)
	end
	

	--Create probabilties

	
	--Create Vendor Items
	
		--Price.Recipe
	
	--Armor mods
	
	createVendorItem("VendorArmadillo", 1, "Items.SimpleFabricEnhancer01")
	createVendorItem("VendorResist", 1, "Items.SimpleFabricEnhancer02")
	createVendorItem("VendorFortuna", 21, "Items.SimpleFabricEnhancer03")
	createVendorItem("VendorBully", 26, "Items.SimpleFabricEnhancer04")
	createVendorItem("VendorBackpacker", 15, "Items.SimpleFabricEnhancer05")
	createVendorItem("VendorFootloose", 1, "Items.SimpleFabricEnhancer06")
	createVendorItem("VendorShowtime", 1, "Items.SimpleFabricEnhancer07")
	createVendorItem("VendorOsmosis", 28, "Items.SimpleFabricEnhancer09")
	createVendorItem("VendorPlume", 1, "Items.SimpleFabricEnhancer10")
	createVendorItem("VendorZeroDrag", 6, "Items.SimpleFabricEnhancer11")
	createVendorItem("VendorTenacity", 1, "Items.SimpleFabricEnhancer12")
	createVendorItem("VendorVanguard", 15, "Items.SimpleFabricEnhancer13")
	createVendorItem("VendorBoomBreaker", 8, "Items.SimpleFabricEnhancer14")
	createVendorItem("VendorCoolit", 1, "Items.PowerfulFabricEnhancer01")
	createVendorItem("VendorAntivenom", 17, "Items.PowerfulFabricEnhancer02")
	createVendorItem("VendorPanacea", 1, "Items.PowerfulFabricEnhancer03")
	createVendorItem("VendorSuperInsulator", 20, "Items.PowerfulFabricEnhancer04")
	createVendorItem("VendorSoftSole", 28, "Items.PowerfulFabricEnhancer05")
	createVendorItem("VendorCutItOut", 1, "Items.PowerfulFabricEnhancer06")
	createVendorItem("VendorPredator", 30, "Items.PowerfulFabricEnhancer07")
	createVendorItem("VendorDeadeye", 33, "Items.PowerfulFabricEnhancer08")
	
	--Armor mod blueprints
	createArmorModBlueprint("RecipeArmadillo",  "Items.SimpleFabricEnhancer01", "Rare")
	createArmorModBlueprint("RecipeResist",  "Items.SimpleFabricEnhancer02", "Rare")
	createArmorModBlueprint("RecipeFortuna", "Items.SimpleFabricEnhancer03", "Rare")
	createArmorModBlueprint("RecipeBully", "Items.SimpleFabricEnhancer04", "Rare")
	createArmorModBlueprint("RecipeBackpacker", "Items.SimpleFabricEnhancer05", "Rare")
	createArmorModBlueprint("RecipeFootloose", "Items.SimpleFabricEnhancer06", "Rare")
	createArmorModBlueprint("RecipeShowtime", "Items.SimpleFabricEnhancer07", "Rare")
	createArmorModBlueprint("RecipeOsmosis", "Items.SimpleFabricEnhancer09", "Rare")
	createArmorModBlueprint("RecipePlume",  "Items.SimpleFabricEnhancer10", "Rare")
	createArmorModBlueprint("RecipeZeroDrag",  "Items.SimpleFabricEnhancer11", "Rare")
	createArmorModBlueprint("RecipeTenacity",  "Items.SimpleFabricEnhancer12", "Rare")
	createArmorModBlueprint("RecipeVanguard", "Items.SimpleFabricEnhancer13", "Rare")
	createArmorModBlueprint("RecipeBoomBreaker", "Items.SimpleFabricEnhancer14", "Rare")
	createArmorModBlueprint("RecipeCoolit", "Items.PowerfulFabricEnhancer01", "Rare")
	createArmorModBlueprint("RecipeAntivenom",  "Items.PowerfulFabricEnhancer02", "Rare")
	createArmorModBlueprint("RecipePanacea",  "Items.PowerfulFabricEnhancer03", "Legendary")
	createArmorModBlueprint("RecipeSuperInsulator",  "Items.PowerfulFabricEnhancer04", "Rare")
	createArmorModBlueprint("RecipeSoftSole",  "Items.PowerfulFabricEnhancer05", "Legendary")
	createArmorModBlueprint("RecipeCutItOut",  "Items.PowerfulFabricEnhancer06", "Legendary")
	createArmorModBlueprint("RecipePredator",  "Items.PowerfulFabricEnhancer07", "Legendary")
	createArmorModBlueprint("RecipeDeadeye",  "Items.PowerfulFabricEnhancer08", "Legendary")
	
	--Vendor items for the blueprints
	createVendorItem("VendorRecipeArmadillo", 6, "RecipeArmadillo")
	createVendorItem("VendorRecipeResist", 6, "RecipeResist")
	createVendorItem("VendorRecipeFortuna", 27, "RecipeFortuna")
	createVendorItem("VendorRecipeBully", 31, "RecipeBully")
	createVendorItem("VendorRecipeBackpacker", 21, "RecipeBackpacker")
	createVendorItem("VendorRecipeFootloose", 1, "RecipeFootloose")
	createVendorItem("VendorRecipeShowtime", 6, "RecipeShowtime")
	createVendorItem("VendorRecipeOsmosis", 33, "RecipeOsmosis")
	createVendorItem("VendorRecipePlume", 1, "RecipePlume")
	createVendorItem("VendorRecipeZeroDrag", 11, "RecipeZeroDrag")
	createVendorItem("VendorRecipeTenacity", 1, "RecipeTenacity")
	createVendorItem("VendorRecipeVanguard", 20, "RecipeVanguard")
	createVendorItem("VendorRecipeBoomBreaker", 13, "RecipeBoomBreaker")
	createVendorItem("VendorRecipeCoolit", 1, "RecipeCoolit")
	createVendorItem("VendorRecipeAntivenom", 22, "RecipeAntivenom")
	createVendorItem("VendorRecipePanacea", 1, "RecipePanacea")
	createVendorItem("VendorRecipeSuperInsulator", 25, "RecipeSuperInsulator")
	createVendorItem("VendorRecipeSoftSole", 33, "RecipeSoftSole")
	createVendorItem("VendorRecipeCutItOut", 1, "RecipeCutItOut")
	createVendorItem("VendorRecipePredator", 35, "RecipePredator")
	createVendorItem("VendorRecipeDeadeye", 38, "RecipeDeadeye")
	
	--Allocate items to vendors
	
	--Clothing vendors
	setClothingVendor("Vendors.bls_ina_se1_clothingshop_01", {"Items.Nomad_01_Set_Pants", "VendorRecipeBackpacker", "VendorBackpacker", "VendorBackpacker", "VendorBackpacker", "VendorBackpacker"}, 115)
	setClothingVendor("Vendors.pac_cvi_clothingshop_01", {"VendorRecipeBully","VendorBully", "VendorBully", "VendorBully", "VendorBully"}, 108)
	setClothingVendor("Vendors.hey_spr_clothingshop_01", {"Items.Media_01_Set_Vest", "VendorRecipeOsmosis","VendorOsmosis", "VendorOsmosis", "VendorOsmosis", "VendorOsmosis"}, 130)
	setClothingVendor("Vendors.std_arr_clothingshop_01", {"VendorRecipeAntivenom","VendorAntivenom", "VendorAntivenom"}, 128)
	setClothingVendor("Vendors.std_rcr_clothingshop_01", {"VendorRecipeFortuna","VendorFortuna", "VendorFortuna", "VendorFortuna", "VendorFortuna"}, 85)
	setClothingVendor("Vendors.wat_kab_clothingshop_01", {"VendorRecipeResist","VendorResist", "VendorResist", "VendorResist", "VendorResist"}, 82)
	setClothingVendor("Vendors.wat_lch_clothingshop_01",  {"VendorRecipeArmadillo", "VendorArmadillo", "VendorArmadillo", "VendorArmadillo", "VendorArmadillo"}, 70)
	setClothingVendor("Vendors.wat_nid_clothingshop_01", {"Items.Media_01_Set_Shoes", "VendorRecipeZeroDrag","VendorZeroDrag", "VendorZeroDrag", "VendorZeroDrag", "VendorZeroDrag"}, 86)
	setClothingVendor("Vendors.wbr_hil_clothingshop_01", {"VendorRecipeVanguard","VendorVanguard", "VendorVanguard", "VendorVanguard", "VendorVanguard"}, 79)
	setClothingVendor("Vendors.wbr_jpn_clothingshop_01", {"Items.Techie_01_Set_Vest", "VendorRecipeBoomBreaker","VendorBoomBreaker", "VendorBoomBreaker", "VendorBoomBreaker", "VendorBoomBreaker"}, 130)
	setClothingVendor("Vendors.cct_dtn_cloth_01", {"VendorRecipeSuperInsulator","VendorSuperInsulator", "VendorSuperInsulator"}, 120)
	setClothingVendor("Vendors.cct_cpz_cloth_02", {"VendorRecipeDeadeye","VendorDeadeye", "VendorDeadeye", "VendorDeadeye", "VendorDeadeye"}, 98)
	

	--Netrunners
	
	--Create items (jfc)
	
	--Quickhacks
	createVendorItem("VendorEMPOverloadLvl3", 20, "Items.EMPOverloadLvl3Program")
	createVendorItem("VendorEMPOverloadLvl4", 33, "Items.EMPOverloadLvl4Program")
	createVendorItem("VendorGrenadeExplodeLvl3", 21, "Items.GrenadeExplodeLvl3Program")
	createVendorItem("VendorGrenadeExplodeLvl4", 31, "Items.GrenadeExplodeLvl4Program")
	createVendorItem("VendorLocomotionMalfunctionLvl3", 18, "Items.LocomotionMalfunctionLvl3Program")
	createVendorItem("VendorLocomotionMalfunctionLvl4", 28, "Items.LocomotionMalfunctionLvl4Program")
	createVendorItem("VendorMadnessLvl3", 23, "Items.MadnessLvl3Program")
	createVendorItem("VendorMadnessLvl4", 33, "Items.MadnessLvl4Program")
	createVendorItem("VendorMemoryWipeLvl3", 20, "Items.MemoryWipeLvl3Program")
	createVendorItem("VendorOverheatLvl3", 20, "Items.OverheatLvl3Program")
	createVendorItem("VendorOverheatLvl4", 32, "Items.OverheatLvl4Program")
	createVendorItem("VendorPingLvl3", 17, "Items.PingLvl3Program")
	createVendorItem("VendorPingLvl4", 30, "Items.PingLvl4Program")
	createVendorItem("VendorSuicideLvl3", 21, "Items.SuicideLvl3Program")
	createVendorItem("VendorSuicideLvl4", 31, "Items.SuicideLvl4Program")
	createVendorItem("VendorSystemCollapseLvl3", 22, "Items.SystemCollapseLvl3Program")
	createVendorItem("VendorSystemCollapseLvl4", 32, "Items.SystemCollapseLvl4Program")
	createVendorItem("VendorWeaponMalfunctionLvl3", 19, "Items.WeaponMalfunctionLvl3Program")
	createVendorItem("VendorWeaponMalfunctionLvl4", 30, "Items.WeaponMalfunctionLvl4Program")
	createVendorItem("VendorWhistleLvl3", 17, "Items.WhistleLvl3Program")
	createVendorItem("VendorBlindLvl3", 20, "Items.BlindLvl3Program")
	createVendorItem("VendorBlindLvl4", 33, "Items.BlindLvl4Program")
	createVendorItem("VendorBrainMeltLvl3", 20, "Items.BrainMeltLvl3Program")
	createVendorItem("VendorBrainMeltLvl4", 30, "Items.BrainMeltLvl4Program")
	createVendorItem("VendorCommsCallInLvl3", 18, "Items.CommsCallInLvl3Program")
	createVendorItem("VendorCommsNoiseLvl3", 17, "Items.CommsNoiseLvl3Program")
	createVendorItem("VendorCommsNoiseLvl4", 30, "Items.CommsNoiseLvl4Program")
	createVendorItem("VendorContagionLvl3", 20, "Items.ContagionLvl3Program")
	createVendorItem("VendorContagionLvl4", 28, "Items.ContagionLvl4Program")
	createVendorItem("VendorDisableCyberwareLvl3", 17, "Items.DisableCyberwareLvl3Program")

	--RAM Jolt and crafting spec
	createQuantityVendorItem("VendorRAMJolt", 1, "Items.MemoryBooster", 5)
	createVendorItem("VendorRecipeRAMJolt", 18, "Items.RecipeMemoryBooster")
	
	--Clothing
	createVendorItem("VendorNetrunnerSuit1", 1, "Items.TightJumpsuit_01_basic_01")
	createVendorItem("VendorNetrunnerSuit2", 1, "Items.TightJumpsuit_01_basic_02")
	createVendorItem("VendorNetrunnerSuit3", 1, "Items.TightJumpsuit_01_old_01")
	createVendorItem("VendorNetrunnerSuit4", 1, "Items.TightJumpsuit_01_old_02")
	createVendorItem("VendorNetrunnerSuit5", 1, "Items.TightJumpsuit_01_rich_01")
	createVendorItem("VendorNetrunnerSuit6", 1, "Items.TightJumpsuit_01_rich_02")
	
	--Increase materials stock
	TweakDB:SetFlat("Vendors.QuickhackUncommonMaterialVendorStock_inline0.min", 500)
	TweakDB:SetFlat("Vendors.QuickhackUncommonMaterialVendorStock_inline0.max", 800)
	TweakDB:SetFlat("Vendors.QuickhackRareMaterialVendorStock_inline0.min", 400)
	TweakDB:SetFlat("Vendors.QuickhackRareMaterialVendorStock_inline0.max", 600)
	TweakDB:SetFlat("Vendors.QuickhackEpicMaterialVendorStock_inline0.min", 250)
	TweakDB:SetFlat("Vendors.QuickhackEpicMaterialVendorStock_inline0.max", 400)
	TweakDB:SetFlat("Vendors.QuickhackLegendaryMaterialVendorStock_inline0.min", 150)
	TweakDB:SetFlat("Vendors.QuickhackLegendaryMaterialVendorStock_inline0.max", 250)
	
	--Distribute to vendors
	
	setNetrunnerVendor("Vendors.hey_rey_netrunner_01", {"VendorKaranos","VendorIC3C0LD", "VendorFR3SH", "VendorSecond Wind", "VendorRecipeRAMJolt", "VendorRAMJolt","VendorCommsNoiseLvl3", "VendorBlindLvl3",  "VendorNetrunnerSuit3", "VendorLocomotionMalfunctionLvl4","VendorMadnessLvl4"}, 13)
	setNetrunnerVendor("Vendors.wat_kab_netrunner_01", {"VendorIC3C0LD",  "VendorRAMJolt","VendorContagionLvl3", "VendorLocomotionMalfunctionLvl3", "VendorDisableCyberwareLvl3", "VendorNetrunnerSuit4",  "VendorEMPOverloadLvl4", "VendorGrenadeExplodeLvl4"}, 9)
	setNetrunnerVendor("Vendors.wat_lch_netrunner_01", {"VendorIC3C0LD", "VendorFR3SH", "VendorSecond Wind", "VendorFR3SH", "VendorRAMJolt","VendorEMPOverloadLvl3", "VendorMadnessLvl3", "VendorNetrunnerSuit5", "VendorMemoryWipeLvl3",  "VendorPingLvl4",  "VendorSuicideLvl4"}, 9)
	setNetrunnerVendor("Vendors.wbr_jpn_netrunner_01", {"VendorIC3C0LD", "VendorFR3SH", "VendorSecond Wind", "VendorRAMJolt","VendorPingLvl3", "VendorGrenadeExplodeLvl3",  "VendorNetrunnerSuit1",  "VendorOverheatLvl4", "VendorSystemCollapseLvl4", "VendorRecipeShowtime", "VendorShowtime", "VendorShowtime", "VendorShowtime", "VendorShowtime"}, 7)
	setNetrunnerVendor("Vendors.wbr_jpn_netrunner_02", {"VendorIC3C0LD", "VendorFR3SH", "VendorSecond Wind", "VendorRAMJolt","VendorOverheatLvl3", "VendorSuicideLvl3", "VendorNetrunnerSuit6",  "VendorWeaponMalfunctionLvl4", "VendorWhistleLvl3", "VendorBlindLvl4"}, 7)
	setNetrunnerVendor("Vendors.pac_cvi_techstore_01", {"VendorIC3C0LD", "VendorFR3SH", "VendorSecond Wind", "VendorRara", "VendorRAMJolt","VendorWeaponMalfunctionLvl3", "VendorSystemCollapseLvl3", "VendorNetrunnerSuit2", "VendorCommsCallInLvl3", "VendorCommsNoiseLvl4", "VendorContagionLvl4", "VendorRecipePredator", "VendorPredator", "VendorPredator", "VendorPredator", "VendorPredator" }, 13)




	--New Cyberware
	createVendorItem("VendorRAMRegenEpic", 25, "Items.FastAccessMemoryEpic")
	createVendorItem("VendorRAMRegenLegendary", 35, "Items.FastAccessMemoryLegendary")
	createVendorItem("VendorMemoryBoostEpic", 28, "Items.MemoryBoostEpic")
	createVendorItem("VendorMemoryBoostLegendary", 38, "Items.MemoryBoostLegendary")




	--Junk Vendors
	
	--Various items
	
	--Legendary tech shotgun recipe
	createVendorItem("VendorRecipeSatara", 1, "Items.LegendarySataraRecipe")
	
	--Legendary LMG recipe
	createRangedWeaponBlueprint("RecipeLegendaryDefender", "Items.Craftable_Legendary_Defender", "Legendary")
	createVendorItem("VendorRecipeLegendaryDefender", 1, "RecipeLegendaryDefender")
	
	--Silencers
	createVendorItem("VendorSilencer1", 1, "Items.w_silencer_01")
	createVendorItem("VendorSilencer2", 1, "Items.w_silencer_02")
	createVendorItem("VendorSilencer3", 1, "Items.w_silencer_03")
	createVendorItem("VendorSilencer4", 1, "Items.w_silencer_04")
	
	--Scopes
	createQualityVendorItem("VendorScope1", 1, "Items.w_att_scope_long_01", "Rare")
	createQualityVendorItem("VendorScope2", 1, "Items.w_att_scope_long_02", "Rare")
	createQualityVendorItem("VendorScope3", 1, "Items.w_att_scope_long_03", "Rare")
	createQualityVendorItem("VendorScope4", 1, "Items.w_att_scope_long_04", "Rare")

	createQualityVendorItem("VendorScope5", 1, "Items.w_att_scope_short_01", "Rare")
	createQualityVendorItem("VendorScope6", 1, "Items.w_att_scope_short_02", "Rare")
	createQualityVendorItem("VendorScope7", 1, "Items.w_att_scope_short_03", "Rare")
	createQualityVendorItem("VendorScope8", 1, "Items.w_att_scope_short_04", "Rare")
	createQualityVendorItem("VendorScope9", 1, "Items.w_att_scope_short_05", "Rare")

	createQualityVendorItem("VendorScope10", 1, "Items.w_att_scope_sniper_01", "Rare")
	createQualityVendorItem("VendorScope11", 1, "Items.w_att_scope_sniper_02", "Rare")
	
	--Various Guns
	createQualityVendorItem("VendorLegendaryQuasar", 1, "Items.Preset_Quasar_Pimp", "Legendary")
	createQualityVendorItem("VendorLegendarySatara", 1, "Items.Preset_Satara_Military", "Legendary")
	createQualityVendorItem("VendorLegendaryCrusher", 1, "Items.Preset_Crusher_Pimp", "Legendary")
	createQualityVendorItem("VendorLegendaryNue", 1, "Items.Preset_Nue_Pimp", "Legendary")

	--Weapon Mods
	createVendorItem("VendorPhantom", 1, "Items.WraithsRangedWeaponMod")
	createVendorItem("VendorVendetta", 1, "Items.ValentinosRangedWeaponMod")
	createVendorItem("VendorNeonArrow", 1, "Items.TygerRangedWeaponMod")
	
	--Weapon mod blueprints
	createWeaponModBlueprint("RecipePhantom", "Items.WraithsRangedWeaponMod", "Rare")
	createWeaponModBlueprint("RecipeVendetta", "Items.ValentinosRangedWeaponMod", "Rare")
	createWeaponModBlueprint("RecipeNeonArrow", "Items.TygerRangedWeaponMod", "Rare")

	createVendorItem("VendorRecipePhantom", 1, "RecipePhantom")
	createVendorItem("VendorRecipeVendetta", 1, "RecipeVendetta")
	createVendorItem("VendorRecipeNeonArrow", 1, "RecipeNeonArrow")
	
	--Clothing items
	
	--Badlands 1
	createVendorItem("VendorLooseShirt1", 1, "Items.LooseShirt_01_basic_01")
	createVendorItem("VendorLooseShirt2", 1, "Items.LooseShirt_01_basic_02")
	createVendorItem("VendorLooseShirt3", 1, "Items.LooseShirt_01_old_01")
	createVendorItem("VendorLooseShirt4", 1, "Items.LooseShirt_01_old_02")
	createVendorItem("VendorMask1", 1, "Items.Mask_02_old_01")
	createVendorItem("VendorMask2", 1, "Items.Mask_02_old_02")
	createVendorItem("VendorMask3", 1, "Items.Mask_02_old_03")

	--Badlands 2
	createVendorItem("VendorBoots1", 1, "Items.Boots_01_old_01")
	createVendorItem("VendorBoots2", 1, "Items.Boots_02_old_01")
	createVendorItem("VendorBoots3", 1, "Items.Boots_02_old_02")
	createVendorItem("VendorBoots4", 1, "Items.Boots_03_old_01")
	createVendorItem("VendorCap1", 1, "Items.Cap_01_old_01")
	createVendorItem("VendorCap2", 1, "Items.Cap_01_old_02")
	createVendorItem("VendorCap3", 1, "Items.Cap_01_old_03")
	createVendorItem("VendorCap4", 1, "Items.Cap_02_old_01")
	
	--Japantown Sex shop
	createVendorItem("VendorShorts1", 1, "Items.Shorts_01_basic_01")
	createVendorItem("VendorShorts2", 1, "Items.Shorts_01_old_01")
	createVendorItem("VendorShorts3", 1, "Items.Shorts_01_old_02")
	createVendorItem("VendorShorts4", 1, "Items.Shorts_01_old_03")
	createVendorItem("VendorBra1", 1, "Items.Undershirt_02_basic_01")
	createVendorItem("VendorBra2", 1, "Items.Undershirt_02_basic_02")
	createVendorItem("VendorBra3", 1, "Items.Undershirt_03_basic_01")
	createVendorItem("VendorBra4", 1, "Items.Undershirt_03_basic_02")
	
	--Kabuki
	createVendorItem("VendorShoes1", 1, "Items.CasualShoes_02_old_01")
	createVendorItem("VendorShoes2", 1, "Items.CasualShoes_02_old_02")
	createVendorItem("VendorShoes3", 1, "Items.CasualShoes_04_old_01")
	createVendorItem("VendorShoes4", 1, "Items.CasualShoes_04_old_02")
	createVendorItem("VendorPants1", 1, "Items.Pants_01_old_01")
	createVendorItem("VendorPants2", 1, "Items.Pants_01_old_02")
	createVendorItem("VendorPants3", 1, "Items.Pants_01_old_03")
	createVendorItem("VendorPants4", 1, "Items.Pants_02_old_01")

	--Christine Markov
	createVendorItem("VendorTechClothes1", 1, "Items.Tech_01_old_01")
	createVendorItem("VendorTechClothes2", 1, "Items.Tech_02_basic_01")
	createVendorItem("VendorTechClothes3", 1, "Items.Tech_02_basic_02")
	createVendorItem("VendorTechClothes4", 1, "Items.Tech_02_old_01")

	--Neil
	createVendorItem("VendorShirt1", 1, "Items.TShirt_01_basic_01")
	createVendorItem("VendorShirt2", 1, "Items.TShirt_01_basic_02")
	createVendorItem("VendorShirt3", 1, "Items.TShirt_01_basic_03")
	createVendorItem("VendorShirt4", 1, "Items.TShirt_02_basic_01")

	--Set vendors
	setJunkVendor("Vendors.bls_ina_se1_junkshop_01", {"VendorMask1","VendorMask2","VendorMask3","VendorLooseShirt1","VendorLooseShirt2","VendorLooseShirt3","VendorLooseShirt4", "VendorRecipePhantom", "VendorLegendaryCrusher", "VendorLegendaryQuasar", "VendorScope1", "VendorSilencer3"}, 7)
	setJunkVendor("Vendors.bls_ina_se5_junkshop_01", {"VendorCap1","VendorCap2","VendorCap3","VendorCap4","VendorBoots1","VendorBoots2","VendorBoots3","VendorBoots4","VendorPhantom","VendorPhantom","VendorPhantom","VendorPhantom","VendorTenacity", "VendorTenacity", "VendorTenacity", "VendorTenacity", "VendorRecipeTenacity",  "VendorLegendaryNue", "VendorScope5", "VendorScope6", "VendorScope7", "VendorSilencer4"}, 11)
	setJunkVendor("Vendors.hey_gle_junkshop_01", {"VendorVendetta","VendorVendetta","VendorVendetta","VendorVendetta","VendorFootloose", "VendorFootloose", "VendorFootloose", "VendorRecipeFootloose", "VendorRecipeSatara"}, 18)
	setJunkVendor("Vendors.wat_kab_junkshop_01", {"VendorPants1","VendorPants2","VendorPants3","VendorPants4","VendorShoes1","VendorShoes2","VendorShoes3","VendorShoes4","VendorPlume", "VendorPlume", "VendorRecipePlume", "VendorScope3", "VendorScope4", "VendorSilencer3", "VendorSilencer4"}, 13)
	setJunkVendor("Vendors.wbr_jpn_junkshop_01", {"VendorBra1","VendorBra2","VendorBra3","VendorBra4","VendorShorts1","VendorShorts2","VendorShorts3","VendorShorts4", "VendorRecipeNeonArrow","VendorSoftSole", "VendorRecipeSoftSole"}, 13) --Sex shop
	setJunkVendor("Vendors.wbr_jpn_junkshop_02", {"VendorCutItOut", "VendorRecipeCutItOut"}, 5) --Dealer (BD guy, other bitch is meds vendor) (TWO OF THEM)
	setJunkVendor("Vendors.wbr_jpn_junkshop_03", {"VendorPanacea","VendorPanacea","VendorPanacea","VendorPanacea","VendorRecipePanacea"}, 9) --Monk merchant
	setJunkVendor("Vendors.wbr_jpn_techstore_01", {"VendorTechClothes1","VendorTechClothes2","VendorTechClothes3","VendorTechClothes4","VendorNeonArrow","VendorNeonArrow","VendorNeonArrow","VendorNeonArrow","VendorLegendarySatara", "VendorRecipeLegendaryDefender", "VendorScope9", "VendorScope10", "VendorScope11", "VendorSilencer1", "VendorSilencer2"}, -1) --Christine Markov
	setJunkVendor("Vendors.hey_rey_junkshop_01", {"VendorShirt1","VendorShirt2","VendorShirt3","VendorShirt4","VendorRecipeVendetta", "VendorCoolit", "VendorCoolit", "VendorRecipeCoolit", "VendorScope2", "VendorScope8","VendorSilencer1", "VendorSilencer2"}, 5)


	
	--Ripperdocs
	
	--Create Vendor Items for new cyberware
	createVendorItem("VendorMemoryBoostEpic", 24, "Items.MemoryBoostEpic")
	createVendorItem("VendorMemoryBoostEpic", 42, "Items.MemoryBoostLegendary")
	createVendorItem("VendorFastAccessMemoryEpic", 20, "Items.FastAccessMemoryEpic")
	createVendorItem("VendorFastAccessMemoryLegendary", 37, "Items.FastAccessMemoryLegendary")
	createVendorItem("VendorMicrovibrationGeneratorEpic", 33, "Items.MicroVibrationsGeneratorEpic")
	createVendorItem("VendorDensemarrowEpic", 35, "Items.DenseMarrowEpic")
	createVendorItem("VendorJointLockLegendary", 40, "Items.JointLockLegendary")
	createVendorItem("VendorRocketBoots", 26, "Items.ReinforcedMusclesEpic")
	
	--Set some SC reqs
	
	--Legendary Mantis Rotors
	TweakDB:SetFlat("Vendors.wbr_jpn_ripperdoc_01_inline4.availabilityPrereq", "SCReq31")
	
	--Monowire High battery
	TweakDB:SetFlat("Vendors.pac_wwd_ripperdoc_01_inline5.availabilityPrereq", "SCReq29")
	
	--Black Market Battery
	TweakDB:SetFlat("Vendors.wat_kab_ripperdoc_03_inline4.availabilityPrereq", "SCReq35")
	
	--Animals Knuckles
	TweakDB:SetFlat("Vendors.wbr_hil_ripdoc_01_inline5.availabilityPrereq", "SCReq33")
	
	--Beast Mode
	TweakDB:SetFlat("Vendors.hey_spr_ripperdoc_01_inline5.availabilityPrereq", "SCReq38")
	
	--Arasaka Software
	TweakDB:SetFlat("Vendors.cct_dtn_ripdoc_01_inline7.availabilityPrereq", "SCReq38")
	
	--Distribute items (commented out ones didn't need any changes
	--setRipperdoc("Vendors.bls_ina_se1_ripperdoc_01", {}, 26, "Mid")--Probably the same
	--setRipperdoc("Vendors.bls_ina_se1_ripperdoc_02", {}, 26, "Mid")
	setRipperdoc("Vendors.pac_wwd_ripperdoc_01", {"VendorMemoryBoostEpic"}, 23, "Mid")
	setRipperdoc("Vendors.std_arr_ripperdoc_01", {"VendorJointLockLegendary"}, 26, "Mid")
	setRipperdoc("Vendors.std_rcr_ripperdoc_01", {"VendorMemoryBoostLegendary"}, 23, "Mid")
	setRipperdoc("Vendors.wat_kab_ripperdoc_01", {}, 25, "Early")
	setRipperdoc("Vendors.wat_kab_ripperdoc_02", {"VendorFastAccessMemoryEpic"}, 26-4, "Early") --Removes some of the pointless cyberware blueprints. I should go back and remove them all at some point.
	setRipperdoc("Vendors.wat_kab_ripperdoc_03", {"VendorFastAccessMemoryLegendary"}, 23-4, "Early")
	setRipperdoc("Vendors.wat_lch_ripperdoc_01", {}, 40, "NA")
	setRipperdoc("Vendors.wat_nid_ripperdoc_01", {}, 25, "Early")
	setRipperdoc("Vendors.wbr_jpn_ripperdoc_01", {}, 24, "Early")
	setRipperdoc("Vendors.wbr_jpn_ripperdoc_02", {}, 27, "Early")
	setRipperdoc("Vendors.wbr_hil_ripdoc_01", {}, 25, "Early")
	setRipperdoc("Vendors.hey_spr_ripperdoc_01", {"VendorDensemarrowEpic"}, 29, "End")
	setRipperdoc("Vendors.cct_dtn_ripdoc_01", {"VendorMicrovibrationGeneratorEpic"}, 30, "End")
	
	--Distribute Jackie Welles

	--Create Vendor item
	createVendorItem("VendorJackieTequila", 1, "JackieTequila")
	createConstantStatModifier("VendorJackieTequilaQuantity", "Additive", "BaseStats.Quantity", 3)
	TweakDB:SetFlat("VendorJackieTequila.quantity", {"VendorJackieTequilaQuantity"})

	--Create blueprint and vendor item
	createAlcoholBlueprint("RecipeJackieTequila", "JackieTequila", "Epic") --Unused. Bug with crafting new items
	createVendorItem("VendorRecipeJackieTequila", 1, "RecipeJackieTequila")
	
	--Set vendors
	setFoodDrinkVendor("Vendors.wat_lch_foodshop_01",{"VendorJackieTequila"},26)
	setFoodDrinkVendor("Vendors.hey_rey_foodshop_01",{"VendorRecipeJackieTequila", "VendorJackieTequila"}, 25)
	

	--Med Vendors
	
	--Create all our items
	
	--Little China
	createQuantityVendorItem("VendorGlitter", 1, "Drugs.Glitter", 10)
	createQuantityVendorItem("VendorDonner", 1, "Drugs.Donner", 10)

	--Kabuki
	createQuantityVendorItem("VendorFR3SH", 1, "Drugs.FR3SH", 10)
	createQuantityVendorItem("VendorIC3C0LD", 1, "Drugs.IC3C0LD", 10)

	--NID lower
	createQuantityVendorItem("VendorBlackLace", 8, "Items.BlackLaceV0", 10)
	createQuantityVendorItem("VendorSynthetic Blood", 8, "Drugs.Synthetic Blood", 10)

	--NID Upper
	createQuantityVendorItem("VendorE-vade", 11, "Drugs.E-vade", 10)
	createQuantityVendorItem("VendorGrisGris", 11, "Drugs.GrisGris", 10)

	--Japantown
	createQuantityVendorItem("VendorSecond Wind", 13, "Drugs.Second Wind", 10)
	createQuantityVendorItem("VendorRoaring Phoenix", 13, "Drugs.Roaring Phoenix", 10)
	
	--Dealer woman
	createQuantityVendorItem("VendorPurple Haze", 1, "Drugs.Purple Haze", 10)
	createQuantityVendorItem("VendorRainbow Poppers", 1, "Drugs.Rainbow Poppers", 10)

	--Arroyo
	createQuantityVendorItem("VendorCleanser", 17, "Drugs.Cleanser", 10)
	createQuantityVendorItem("VendorLocus", 17, "Drugs.Locus", 10)
	
	--Rancho (

	--Badlands
	createQuantityVendorItem("VendorSuperjet", 20, "Drugs.Superjet", 10)
	createQuantityVendorItem("VendorBe-Rite Back", 20, "Drugs.Be-Rite Back", 10)

	--Pacifica
	createQuantityVendorItem("VendorJuice", 22, "Drugs.Juice", 10)
	createQuantityVendorItem("VendorRara", 22, "Drugs.Rara", 10)

	--WellSprings
	createQuantityVendorItem("VendorBrisky", 29, "Drugs.Brisky", 10)
	createQuantityVendorItem("VendorDeimos", 29, "Drugs.Deimos", 10)

	--Downtown
	createQuantityVendorItem("VendorAspis", 32, "Drugs.Aspis", 10)
	createQuantityVendorItem("VendorUllr", 32, "Drugs.Ullr", 10)
	
	--Corpo Plaza
	createQuantityVendorItem("VendorKaranos", 35, "Drugs.Karanos", 10)
	createQuantityVendorItem("VendorArasaka Reflex Booster", 35, "Drugs.Arasaka Reflex Booster", 10)
	
	--Blueprints
	createDrugBlueprint("RecipeGlitter", "Drugs.Glitter", "Rare")
	createDrugBlueprint("RecipeDonner", "Drugs.Donner", "Rare")
	createDrugBlueprint("RecipeFR3SH", "Drugs.FR3SH", "Rare")
	createDrugBlueprint("RecipeIC3C0LD", "Drugs.IC3C0LD", "Rare")
	createDrugBlueprint("RecipeSynthetic Blood", "Drugs.Synthetic Blood", "Rare")
	createDrugBlueprint("RecipeBlacklace", "Items.BlackLaceV0", "Rare")
	createDrugBlueprint("RecipeGrisGris", "Drugs.GrisGris", "Rare")
	createDrugBlueprint("RecipeE-vade", "Drugs.E-vade", "Rare")
	createDrugBlueprint("RecipeRoaring Phoenix", "Drugs.Roaring Phoenix", "Rare")
	createDrugBlueprint("RecipeSecond Wind", "Drugs.Second Wind", "Rare")
	createDrugBlueprint("RecipePurple Haze", "Drugs.Purple Haze", "Rare")
	createDrugBlueprint("RecipeRainbow Poppers", "Drugs.Rainbow Poppers", "Rare")
	createDrugBlueprint("RecipeCleanser", "Drugs.Cleanser", "Epic")
	createDrugBlueprint("RecipeLocus", "Drugs.Locus", "Epic")
	createDrugBlueprint("RecipeSuperjet", "Drugs.Superjet", "Epic")
	createDrugBlueprint("RecipeBe-Rite Back", "Drugs.Be-Rite Back", "Epic")
	createDrugBlueprint("RecipeJuice", "Drugs.Juice", "Epic")
	createDrugBlueprint("RecipeRara", "Drugs.Rara", "Epic")
	createDrugBlueprint("RecipeBrisky", "Drugs.Brisky", "Legendary")
	createDrugBlueprint("RecipeDeimos", "Drugs.Deimos", "Legendary")
	createDrugBlueprint("RecipeAspis", "Drugs.Aspis", "Legendary")
	createDrugBlueprint("RecipeUllr", "Drugs.Ullr", "Legendary")
	createDrugBlueprint("RecipeKaranos", "Drugs.Karanos", "Legendary")
	createDrugBlueprint("RecipeArasaka Reflex Booster", "Drugs.Arasaka Reflex Booster", "Legendary")

	createVendorItem("VendorRecipeGlitter",1, "RecipeGlitter")
	createVendorItem("VendorRecipeDonner",1, "RecipeDonner")
	createVendorItem("VendorRecipeFR3SH",1, "RecipeFR3SH")
	createVendorItem("VendorRecipeIC3C0LD", 1,"RecipeIC3C0LD")
	createVendorItem("VendorRecipeSynthetic Blood",13, "RecipeSynthetic Blood")
	createVendorItem("VendorRecipeBlacklace", 13,"RecipeBlackLaceV0")
	createVendorItem("VendorRecipeGrisGris", 16,"RecipeGrisGris")
	createVendorItem("VendorRecipeE-vade", 16,"RecipeE-vade")
	createVendorItem("VendorRecipeRoaring Phoenix",18, "RecipeRoaring Phoenix")
	createVendorItem("VendorRecipeSecond Wind", 18,"RecipeSecond Wind")
	createVendorItem("VendorRecipePurple Haze", 1, "RecipePurple Haze")
	createVendorItem("VendorRecipeRainbow Poppers", 1, "RecipeRainbow Poppers")
	createVendorItem("VendorRecipeCleanser",22, "RecipeCleanser")
	createVendorItem("VendorRecipeLocus", 22,"RecipeLocus")
	createVendorItem("VendorRecipeSuperjet", 25,"RecipeSuperjet")
	createVendorItem("VendorRecipeBe-Rite Back",25, "RecipeBe-Rite Back")
	createVendorItem("VendorRecipeJuice",27, "RecipeJuice")
	createVendorItem("VendorRecipeRara",27, "RecipeRara")
	createVendorItem("VendorRecipeBrisky",34, "RecipeBrisky")
	createVendorItem("VendorRecipeDeimos", 34,"RecipeDeimos")
	createVendorItem("VendorRecipeAspis", 37,"RecipeAspis")
	createVendorItem("VendorRecipeUllr",37,"RecipeUllr")
	createVendorItem("VendorRecipeKaranos", 40,"RecipeKaranos")
	createVendorItem("VendorRecipeArasaka Reflex Booster", 40,"RecipeArasaka Reflex Booster")

	--Drug Recipe Pricing
	
	Drugs_List = {"Glitter","Donner","FR3SH","IC3COLD","Synthetic Blood", "Blacklace","GrisGris","E-vade","Roaring Phoenix", "Second Wind", "Purple Haze", "Rainbow Poppers", "Cleanser", "Locus", "Superjet", "Be-Rite Back", "Juice", "Rara", "Brisky", "Deimos", "Aspis", "Ullr", "Karanos", "Arasaka Reflex Booster"}
	
	for i,v in ipairs(Drugs_List) do
		TweakDB:SetFlat("Recipe"..v..".buyPrice", {"Price.BasePrice", "Price.BuyMultiplier", "Price.Recipe", "Price.ItemQualityMultiplier", "Price.WeightMultiplier", "Price.Inhaler"}) --Make them all inhaler prices and hope nobody notices
	end
		
	TweakDB:SetFlat("Items.RecipeBonesMcCoy70V0.buyPrice", {"Price.BasePrice", "Price.BuyMultiplier", "Price.Recipe", "Price.ItemQualityMultiplier", "Price.WeightMultiplier", "Price.Injector"})
	TweakDB:SetFlat("Items.RecipeBonesMcCoy70V1.buyPrice", {"Price.BasePrice", "Price.BuyMultiplier", "Price.Recipe", "Price.ItemQualityMultiplier", "Price.WeightMultiplier", "Price.Injector"})
	TweakDB:SetFlat("Items.RecipeBonesMcCoy70V2.buyPrice", {"Price.BasePrice", "Price.BuyMultiplier", "Price.Recipe", "Price.ItemQualityMultiplier", "Price.WeightMultiplier", "Price.Injector"})
	TweakDB:SetFlat("Items.RecipeFirstAidWhiffV0.buyPrice",{"Price.BasePrice", "Price.BuyMultiplier", "Price.Recipe", "Price.ItemQualityMultiplier", "Price.WeightMultiplier", "Price.Inhaler"})
	TweakDB:SetFlat("Items.RecipeFirstAidWhiffV1.buyPrice",{"Price.BasePrice", "Price.BuyMultiplier", "Price.Recipe", "Price.ItemQualityMultiplier", "Price.WeightMultiplier", "Price.Inhaler"})
	TweakDB:SetFlat("Items.RecipeFirstAidWhiffV2.buyPrice",{"Price.BasePrice", "Price.BuyMultiplier", "Price.Recipe", "Price.ItemQualityMultiplier", "Price.WeightMultiplier", "Price.Inhaler"})

	--Various other items
	createQuantityVendorItem("VendorHealthBooster", 1, "Items.HealthBooster", 5)
	createQuantityVendorItem("VendorStaminaBooster", 1, "Items.StaminaBooster", 5)
	createQuantityVendorItem("VendorCarryCapacityBooster", 1, "Items.CarryCapacityBooster", 5)

	createDrugBlueprint("RecipeStaminaBooster", "Items.StaminaBooster", "Uncommon")
	createVendorItem("VendorRecipeStaminaBooster", 25, "RecipeStaminaBooster")
	
	createDrugBlueprint("RecipeHealthBooster", "Items.HealthBooster", "Rare") --unused
	createVendorItem("VendorRecipeHealthBooster", 38, "RecipeHealthBooster")

	
	--Distribute items
	setMedsVendor("Vendors.bls_ina_se1_medicstore_01", {"VendorHealthBooster","VendorRecipeSuperjet", "VendorRecipeBe-Rite Back","VendorSuperjet", "VendorBe-Rite Back"}, -1)
	setMedsVendor("Vendors.cct_cpz_medic_01", {"VendorE-vade", "VendorBe-Rite Back", "VendorCleanser", "VendorLocus", "VendorHealthBooster","VendorRecipeKaranos","VendorRecipeArasaka Reflex Booster","VendorKaranos","VendorArasaka Reflex Booster"}, -1)
	setMedsVendor("Vendors.cct_dtn_medic_01", {"VendorSuperjet", "VendorRara", "VendorRoaring Phoenix", "VendorDonner", "VendorHealthBooster","VendorRecipeAspis","VendorRecipeUllr","VendorAspis","VendorUllr"}, -1)
	setMedsVendor("Vendors.hey_spr_medicstore_01", {"VendorJuice", "VendorStaminaBooster", "VendorGrisGris", "VendorCarryCapacityBooster", "VendorHealthBooster","VendorRecipeDeimos","VendorRecipeBrisky","VendorDeimos","VendorBrisky"}, -1)
	setMedsVendor("Vendors.pac_cvi_medicstore_01", {"VendorFR3SH", "VendorSecond Wind", "VendorIC3C0LD", "VendorStaminaBooster", "VendorHealthBooster","VendorRecipeRara","VendorRecipeJuice","VendorRara","VendorJuice"}, -1)
	setMedsVendor("Vendors.std_arr_medicstore_01", {"VendorStaminaBooster", "VendorRoaring Phoenix", "VendorSynthetic Blood", "VendorHealthBooster", "VendorRecipeCleanser","VendorRecipeLocus", "VendorCleanser","VendorLocus"}, -1)
	setMedsVendor("Vendors.std_rcr_medicstore_01", {"VendorBe-Rite Back", "VendorSynthetic Blood", "VendorE-vade", "VendorHealthBooster", "VendorStaminaBooster", "VendorCarryCapacityBooster", "VendorRecipeStaminaBooster"}, -1)
	setMedsVendor("Vendors.wat_kab_medicstore_01", {"VendorBlackLace", "VendorHealthBooster", "VendorRecipeFR3SH", "VendorRecipeIC3C0LD","VendorFR3SH", "VendorIC3C0LD"}, -1)
	setMedsVendor("Vendors.wat_lch_medicstore_01", {"VendorSynthetic Blood", "VendorGrisGris", "VendorStaminaBooster", "VendorHealthBooster", "VendorRecipeGlitter", "VendorRecipeDonner","VendorGlitter", "VendorDonner"}, -1)
	setMedsVendor("Vendors.wat_nid_medicstore_01", {"VendorFR3SH", "VendorE-vade", "VendorHealthBooster", "VendorRecipeBlackLace", "VendorRecipeSynthetic Blood","VendorBlackLace", "VendorSynthetic Blood"}, -1) --Lower
	setMedsVendor("Vendors.wat_nid_medicstore_02", {"VendorStaminaBooster", "VendorCarryCapacityBooster", "VendorDonner", "VendorHealthBooster", "VendorRecipeE-vade", "VendorRecipeGrisGris","VendorE-vade", "VendorGrisGris"}, -1)--Upper
	setMedsVendor("Vendors.wbr_jpn_medicstore_01", {"VendorCleanser", "VendorGlitter", "VendorHealthBooster", "VendorRecipeSecond Wind", "VendorRecipeRoaring Phoenix","VendorSecond Wind", "VendorRoaring Phoenix"}, -1)
	setMedsVendor("Vendors.wbr_jpn_medicstore_02", {"VendorRecipePurple Haze", "VendorPurple Haze", "VendorGlitter","VendorFR3SH","VendorSynthetic Blood", "VendorDonner"}, -1) --Man Dealer
	setMedsVendor("Vendors.wbr_jpn_medicstore_03", {"VendorRecipeRainbow Poppers", "VendorRainbow Poppers", "VendorPurple Haze","VendorBlackLace","VendorGrisGris"}, -1) --Woman Dealer
	
	--Random description fixes
	TweakDB:SetFlat("Vendors.wbr_jpn_junkshop_02.localizedDescription", "Specializes in the braindance black market.") --TranslateMe
	TweakDB:SetFlat("Vendors.wat_kab_netrunner_01.localizedName", "Netrunner") --TranslateMe
	
	
	
	--Vehicle Pricing
	TweakDB:SetFlat("EconomicAssignment.v_sport1_herrera_outlaw_player.overrideValue", 62000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport1_quadra_turbo_player.overrideValue", 129000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport1_rayfield_aerondight_player.overrideValue", 225000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport1_rayfield_caliburn_player.overrideValue", 157000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport2_mizutani_shion_nomad_player.overrideValue", 115000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport2_mizutani_shion_player.overrideValue", 75000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport2_porsche_911turbo_player.overrideValue", 20000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport2_quadra_type66_avenger_player.overrideValue", 55000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport2_quadra_type66_nomad_ncu_player.overrideValue", 76000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport2_quadra_type66_nomad_player.overrideValue", 73000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport2_quadra_type66_player.overrideValue", 58000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport2_villefort_alvarado_player.overrideValue", 62000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sport2_villefort_alvarado_valentinos_player.overrideValue", 20000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sportbike1_yaiba_kusanagi_player.overrideValue", 22000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sportbike2_arch_jackie_player.overrideValue", 20000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sportbike2_arch_jackie_tuned_player.overrideValue", 20000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sportbike2_arch_player.overrideValue", 138000 * Vehicle_Price) --Jackie supposedly bought something like this with money from the gig + a loan. 130k!!!
	TweakDB:SetFlat("EconomicAssignment.v_sportbike3_brennan_apollo_nomad_player.overrideValue", 33000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_sportbike3_brennan_apollo_player.overrideValue", 94000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard25_mahir_supron_player.overrideValue", 16000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard25_thorton_colby_nomad_player.overrideValue", 49000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard25_villefort_columbus_player.overrideValue", 19000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_archer_hella_player.overrideValue", 20000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_archer_quartz_player.overrideValue", 29000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_chevalier_thrax_player.overrideValue", 17000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_makigai_maimai_player.overrideValue", 14000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_thorton_colby_pickup_player.overrideValue", 43000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_thorton_colby_player.overrideValue", 39000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_thorton_galena_bobas_player.overrideValue", 20000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_thorton_galena_nomad_player.overrideValue", 21000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_thorton_galena_player.overrideValue", 13000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_villefort_cortes_delamain_player.overrideValue", 34000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard2_villefort_cortes_player.overrideValue", 37000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard3_chevalier_emperor_player.overrideValue", 32000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard3_thorton_mackinaw_ncu_player.overrideValue", 20000 * Vehicle_Price)
	TweakDB:SetFlat("EconomicAssignment.v_standard3_thorton_mackinaw_player.overrideValue", 128000 * Vehicle_Price)



	--First pair of kiroshis
	TweakDB:SetFlat("Items.KiroshiOptics.buyPrice",{})
	
	end)

function createDrugBlueprint(RecordName, item, quality)
	--Blueprint
	TweakDB:CloneRecord(RecordName, "Items.RecipeBonesMcCoy70V0")
	TweakDB:SetFlat(RecordName..".quality", "Quality."..quality)
	--Item to be created
	TweakDB:CloneRecord(RecordName.."Item", "Items.Recipe_PowerWeaponMod01_inline0")
	TweakDB:SetFlat(RecordName.."Item.item", item)
	--Update blueprint
	TweakDB:SetFlat(RecordName..".displayName", TweakDB:GetFlat(item..".displayName"))
	TweakDB:SetFlat(RecordName..".craftingResult", RecordName.."Item")
end
function createQuantityVendorItem(RecordName, SCReq, item, quantity)
	TweakDB:CreateRecord(RecordName, "gamedataVendorItem_Record")
	TweakDB:SetFlat(RecordName..".availabilityPrereq", "SCReq"..SCReq)
	TweakDB:SetFlat(RecordName..".item", item)
	createConstantStatModifier(RecordName.."Quantity", "Additive", "BaseStats.Quantity", quantity)
	TweakDB:SetFlat(RecordName..".quantity", {RecordName.."Quantity"})
end
function setMedsVendor(VendorID, NewVendorItems, itemCount)
	Inventory = {"Vendors.BaseMoney","Vendors.MedicStoreBaseMoney", "Vendors.MedicStore_inline0", "Vendors.MedicStore_inline2", "Vendors.MedicStore_inline4", "Vendors.MedicStore_inline6", "Vendors.MedicStore_inline8", "Vendors.MedicStore_inline10", "Vendors.MedicStore_inline12", "Vendors.MedicStore_inline13", "Vendors.MedicStore_inline14", "Vendors.MedicStore_inline15",
				"Vendors.CommonMaterialVendorStock", "Vendors.UncommonMaterialVendorStock", "Vendors.RareMaterialVendorStock", "Vendors.EpicMaterialVendorStock"}
	for i,v in ipairs(NewVendorItems) do
		table.insert(Inventory, v)
		
	end
	for i=0, itemCount do
		table.insert(Inventory, VendorID.."_inline"..i)
		--VendorProb = "Vendors.IsPresent"
		
		--TweakDB:SetFlat(VendorID.."_inline"..i..".quantity", {VendorProb})

	end

	TweakDB:SetFlat(VendorID..".itemStock", Inventory)

end
function setFoodDrinkVendor(VendorID, NewVendorItems, itemCount)
	Inventory = {"Vendors.FoodShopBaseMoney"}
	for i,v in ipairs(NewVendorItems) do
		table.insert(Inventory, v)
	end
	for i=0, itemCount*2, 2 do
		table.insert(Inventory, VendorID.."_inline"..i)
		--VendorProb = "Vendors.IsPresent"
		--TweakDB:SetFlat(VendorID.."_inline"..i..".quantity", {VendorProb})

	end

	TweakDB:SetFlat(VendorID..".itemStock", Inventory)

end
function createAlcoholBlueprint(RecordName, item, quality)
	--Blueprint
	TweakDB:CloneRecord(RecordName, "Items.RecipeConsumableEpicBase")
	TweakDB:SetFlat(RecordName..".quality", "Quality."..quality)
	--Item to be created
	TweakDB:CloneRecord(RecordName.."Item", "Items.Recipe_PowerWeaponMod01_inline0")
	TweakDB:SetFlat(RecordName.."Item.item", item)
	--Update blueprint
	TweakDB:SetFlat(RecordName..".displayName", TweakDB:GetFlat(item..".displayName"))
	TweakDB:SetFlat(RecordName..".craftingResult", RecordName.."Item")
end
function createWeaponModBlueprint(RecordName, item, quality)
	--Blueprint
	TweakDB:CloneRecord(RecordName, "Items.Recipe_PowerWeaponMod01")
	TweakDB:SetFlat(RecordName..".quality", "Quality."..quality)
	--Item to be created
	TweakDB:CloneRecord(RecordName.."Item", "Items.Recipe_PowerWeaponMod01_inline0")
	TweakDB:SetFlat(RecordName.."Item.item", item)
	--Update blueprint
	TweakDB:SetFlat(RecordName..".displayName", TweakDB:GetFlat(item..".displayName"))
	TweakDB:SetFlat(RecordName..".craftingResult", RecordName.."Item")

end
function createRangedWeaponBlueprint(RecordName, item, quality)
	--Blueprint
	TweakDB:CloneRecord(RecordName, "Items.RareDefenderRecipe")
	TweakDB:SetFlat(RecordName..".quality", "Quality."..quality)
	--Item to be created
	TweakDB:CloneRecord(RecordName.."Item", "Items.RareDefenderRecipe_inline0")
	TweakDB:SetFlat(RecordName.."Item.item", item)
	--Update blueprint
	TweakDB:SetFlat(RecordName..".displayName", TweakDB:GetFlat(item..".displayName"))
	TweakDB:SetFlat(RecordName..".craftingResult", RecordName.."Item")

end
function createArmorModBlueprint(RecordName, item, quality)
	--Blueprint
	TweakDB:CloneRecord(RecordName, "Items.Recipe_SimpleFabricEnhancer01")
	TweakDB:SetFlat(RecordName..".quality", "Quality."..quality)
	--Item to be created
	TweakDB:CloneRecord(RecordName.."Item", "Items.Recipe_SimpleFabricEnhancer01_inline0")
	TweakDB:SetFlat(RecordName.."Item.item", item)
	--Update blueprint
	TweakDB:SetFlat(RecordName..".displayName", TweakDB:GetFlat(item..".displayName"))
	TweakDB:SetFlat(RecordName..".craftingResult", RecordName.."Item")

end
function createVendorChance(RecordName, low)
	TweakDB:CloneRecord(RecordName, "Vendors.CanBePresent")
	TweakDB:SetFlat(RecordName..".min", low)
end
function createQualityVendorItem(RecordName, SCReq, item, quality)
	TweakDB:CreateRecord(RecordName, "gamedataVendorItem_Record")
	TweakDB:SetFlat(RecordName..".availabilityPrereq", "SCReq"..SCReq)
	TweakDB:SetFlat(RecordName..".item", item)
	TweakDB:SetFlat(RecordName..".quantity", {"Vendors.IsPresent"})
	TweakDB:SetFlat(RecordName..".forceQuality", quality)
end
function createVendorItem(RecordName, SCReq, item)
	TweakDB:CreateRecord(RecordName, "gamedataVendorItem_Record")
	TweakDB:SetFlat(RecordName..".availabilityPrereq", "SCReq"..SCReq)
	TweakDB:SetFlat(RecordName..".item", item)
	TweakDB:SetFlat(RecordName..".quantity", {"Vendors.IsPresent"})
end
function createSCRequirement(value)
	TweakDB:CloneRecord("SCReq"..value, "Vendors.GlenCredAvailability")
	TweakDB:SetFlat("SCReq"..value..".valueToCheck", value)
end
function createConstantStatModifier(recordName, modifierType, statType, value)
	TweakDB:CreateRecord(recordName, "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(recordName..".modifierType", modifierType)
	TweakDB:SetFlat(recordName..".statType", statType)
	TweakDB:SetFlat(recordName..".value", value)
end
function setJunkVendor(VendorID, NewVendorItems, itemCount)
	Inventory = {"Vendors.JunkShopBaseMoney","Vendors.CommonMaterialVendorStock", "Vendors.UncommonMaterialVendorStock", "Vendors.RareMaterialVendorStock", "Vendors.RareMaterial2VendorStock", "Vendors.EpicMaterialVendorStock", "Vendors.EpicMaterial2VendorStock", "Vendors.LegendaryMaterialVendorStock", "Vendors.LegendaryMaterial2VendorStock"}
	for i,v in ipairs(NewVendorItems) do
		table.insert(Inventory, v)
		
	end
	for i=0, itemCount do
		table.insert(Inventory, VendorID.."_inline"..i)
		VendorProb = "Vendors.IsPresent"
		
		TweakDB:SetFlat(VendorID.."_inline"..i..".quantity", {VendorProb})

	end

	TweakDB:SetFlat(VendorID..".itemStock", Inventory)

end
function setRipperdoc(VendorID, NewVendorItems, itemCount, ProgressID)
	Inventory = {"Vendors.RipperDocBaseMoney", "Vendors.RipperDoc_inline0", "Vendors.RipperDoc_inline2","Vendors.RipperDoc_inline3", "Vendors.RipperDoc_inline4"}
	if VendorID == "Vendors.wat_lch_ripperdoc_01" then Inventory = {"Vendors.RipperDocBaseMoney"} end
	for i,v in ipairs(NewVendorItems) do
		table.insert(Inventory, v)
	end
	
	ProgressItemCount = -1
	if ProgressID == "End" then ProgressItemCount = 6
	elseif ProgressID == "Mid" then ProgressItemCount = 9
	elseif ProgressID == "Early" then ProgressItemCount = 10
	end
	
	for i=0, ProgressItemCount do

			table.insert(Inventory, "Vendors."..ProgressID.."GameRipperdoc_inline"..i)
		
	end
	
	for i=0, itemCount do
		--Viktor special case
		dontskip = true
		if VendorID.."_inline"..i == "Vendors.wat_lch_ripperdoc_01_inline2" then dontskip = false end
		if dontskip then
			table.insert(Inventory, VendorID.."_inline"..i)
			VendorProb = "Vendors.IsPresent"

			TweakDB:SetFlat(VendorID.."_inline"..i..".quantity", {VendorProb})
		end
	end

	TweakDB:SetFlat(VendorID..".itemStock", Inventory)

end
function setNetrunnerVendor(VendorID, NewVendorItems, itemCount)
	Inventory = {"Vendors.BaseMoney", "Vendors.SkillTrainerBaseMoney", "Vendors.QuickhackUncommonMaterialVendorStock", "Vendors.QuickhackRareMaterialVendorStock", "Vendors.QuickhackEpicMaterialVendorStock", "Vendors.QuickhackLegendaryMaterialVendorStock"}
	for i,v in ipairs(NewVendorItems) do
		table.insert(Inventory, v)
	end
	for i=0,11 do
		table.insert(Inventory, "Vendors.NetrunnerTrainer_inline"..i)
	end
	
	itemCountStart = 0
	
	for i=0, itemCount do
	
		--Yoko special case
		dontskip = true
		if VendorID.."_inline"..i == "Vendors.wat_kab_netrunner_01_inline0" then dontskip = false end
		if VendorID.."_inline"..i == "Vendors.wat_kab_netrunner_01_inline2" then dontskip = false end
		if dontskip then
			table.insert(Inventory, VendorID.."_inline"..i)
			VendorProb = "Vendors.IsPresent"
			
			--if i<20 then VendorProb = "Vendor20Prob"
			--elseif i<40 then VendorProb = "Vendor25Prob"
			--elseif i<60 then VendorProb = "Vendor33Prob"
			--elseif i>59 then VendorProb = "Vendor33Prob"
			--end
			TweakDB:SetFlat(VendorID.."_inline"..i..".quantity", {VendorProb})
		end

	end
	TweakDB:SetFlat(VendorID..".itemStock", Inventory)
end
function setClothingVendor(VendorID, NewVendorItems, itemCount)

	Inventory = {"Vendors.BaseMoney", "Vendors.ClothingShopBaseMoney"}
	for i,v in ipairs(NewVendorItems) do
		table.insert(Inventory, v)
	end
	for i=0, itemCount do
		dontskip = true
		if VendorID.."_inline"..i == "Vendors.cct_cpz_cloth_02_inline92" then dontskip = false end
		if VendorID.."_inline"..i == "Vendors.std_rcr_clothingshop_01_inline84" then dontskip = false end
		if dontskip then
			table.insert(Inventory, VendorID.."_inline"..i)
			VendorProb = "Vendors.IsPresent"
			
			if i<20 then VendorProb = "Vendor20Prob"
			elseif i<40 then VendorProb = "Vendor25Prob"
			elseif i<60 then VendorProb = "Vendor33Prob"
			elseif i>59 then VendorProb = "Vendor33Prob"
			end
			TweakDB:SetFlat(VendorID.."_inline"..i..".quantity", {VendorProb})
		end
	end

	TweakDB:SetFlat(VendorID..".itemStock", Inventory)

end
end

return FGR:new()
